Home / Mobile / News / Here's why you need to update your iPhones immediately

Here's why you need to update your iPhones immediately

iOS 14.4 update
iOS 14.4 update

Apple has released iOS 14.4 update with fixes for three major vulnerabilities. 

Apple has released a new iOS 14 update that comes with security fixes for three vulnerabilities. Apple hasn’t specified what these bugs are but in a cryptic way has pointed out the possibilities of remote hacking by attackers.

Apple has listed three vulnerabilities on its support page that were reported by security researchers. These bugs affect iPhones and iPads, as spotted first by TechCrunch. Apple is yet to disclose details about the vulnerabilities and more information will be released by the company soon.

The first vulnerability CVE-2021-1782 is described as “a malicious application may be able to elevate privileges.” Apple adds that it is aware of a report that this issue may have been actively exploited. This one was discovered in the Kernel, which is the core of the operating system.

As for the other two vulnerabilities CVE-2021-1871 and CVE-2021-1870, Apple said, “a remote attacker may be able to cause arbitrary code execution.” This issue may have been exploited as well by attackers. These two were found in the WebKit, the web browser engine used by Safari and many other apps on iOS.

iOS 14.4 and iPadOS 14.4 come with fixes for these three vulnerabilities so it’s best to update your devices immediately. The new software update is available for iPhone 6s and later, iPad Air 2 and later, iPad mini 4 and later, and iPod touch (7th generation). More details on the bugs will be revealed by Apple soon. But for now all affected devices should be updated to the latest version.

Follow HT Tech for the latest tech news and reviews, also keep up with us on Twitter, Facebook, and Instagram. For our latest videos, subscribe to our YouTube channel.